/*
 * @(#)AboutGroup.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

/**
 * About Box Group.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface AboutGroup {

  /**
   * Returns the name of the group.
   *
   * @return the name of the group
   */
  public String getGroupName();

  /**
   * Returns group panel.
   *
   * @return group panel
   */
  public AboutPanel getGroupPanel();

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:36:45 Slobodan
   Initial version

*****************************************************************************^*/
