/*
 * @(#)HtmlAboutPanel.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

import java.awt.BorderLayout;
import java.net.URL;

import net.wrka.swing.components.JWxHtmlBrowser;

/**
 * HTML About Panel.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class HtmlAboutPanel extends AboutPanel {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new HtmlAboutPanel object.
   *
   * @param url the url
   */
  public HtmlAboutPanel(URL url) {
    super(new BorderLayout());
    add(new JWxHtmlBrowser(url));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:43:14 Slobodan
   Initial version

*****************************************************************************^*/
