/*
 * @(#)BasicWxFlatSplitPaneDivider.java  1.0.0 / 2008-05-22
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.basic;

import java.awt.Graphics;

import javax.swing.plaf.basic.BasicSplitPaneDivider;
import javax.swing.plaf.basic.BasicSplitPaneUI;

/**
 * Basic divider for JWxFlatSplitPane.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class BasicWxFlatSplitPaneDivider extends BasicSplitPaneDivider {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new BasicWxFlatSplitPaneDivider object.
   *
   * @param ui the basic split pane ui
   */
  public BasicWxFlatSplitPaneDivider(BasicSplitPaneUI ui) {
    super(ui);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void paint(Graphics g) {
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-22 21:27:00 Slobodan
   Initial version

*****************************************************************************^*/

