/*
 * @(#)JWxTabbedPaneResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.components.JWxTabbedPane;

/**
 * JWxTabbedPane Resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class JWxTabbedPaneResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    // CS:OFF
    { JWxTabbedPane.RK_X_ICON_TOOLTIP, "Close" } //$NON-NLS-1$
    // CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 01:21:31 Slobodan
   Initial version

*****************************************************************************^*/
