/*
 * @(#)QueueException.java  1.0.0 / 2008-05-07
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util.queue;

/**
 * Queue Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class QueueException extends RuntimeException {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -224894991182516154L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new QueueException object.
   */
  public QueueException() {
    super();
  }

  /**
   * Constructs new QueueException object.
   *
   * @param message error message
   */
  public QueueException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-07 19:06:33 Slobodan
   Initial version

*****************************************************************************^*/
