/*
 * @(#)StackException.java  1.0.0 / 2008-05-08
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util.stack;

/**
 * Stack Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class StackException extends RuntimeException {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 3482981671879295413L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new StackException object.
   */
  public StackException() {
    super();
  }

  /**
   * Constructs new StackException object.
   *
   * @param message error message
   */
  public StackException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-08 20:42:57 Slobodan
   Initial version

*****************************************************************************^*/
