/*
 * @(#)MJAsmParserException.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm;

/**
 * MJAsmParser Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJAsmParserException extends Exception {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 7044664383536227000L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmParserException object.
   */
  public MJAsmParserException() {
    super();
  }

  /**
   * Constructs new MJAsmParserException object.
   *
   * @param message the exception message
   */
  public MJAsmParserException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 20:59:00 Slobodan
   Initial version

*****************************************************************************^*/
