/*
 * @(#)MJAsmErrorPrintStream.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm.gui;

import java.io.PrintStream;

/**
 * Error PrintStream.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJAsmErrorPrintStream extends PrintStream {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmErrorPrintStream object.
   *
   * @param mjamo the MJAsmOutput
   */
  public MJAsmErrorPrintStream(MJAsmOutput mjamo) {
    super(new MJAsmErrorOutputStream(mjamo));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 18:04:52 Slobodan
   Initial version

*****************************************************************************^*/
