/*
 * @(#)MJBytecodeFormatException.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

import java.io.IOException;

/**
 * Indicates MicroJava bytecode errors.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJBytecodeFormatException extends IOException {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJBytecodeFormatException object.
   */
  public MJBytecodeFormatException() {
    super();
  }

  /**
   * Constructs new MJBytecodeFormatException object.
   *
   * @param message the error message
   */
  public MJBytecodeFormatException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:29:58 Slobodan
   Initial version

*****************************************************************************^*/
