/*
 * @(#)MJVMDataMemory.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Data Memory.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class MJVMDataMemory extends MJVMWordMemory {

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMData object.
   *
   * @param size the data memory size
   *
   * @throws IllegalArgumentException if size <= 0
   */
  MJVMDataMemory(int size) {
    super(size);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:36:54 Slobodan
   Initial version

*****************************************************************************^*/
