/*
 * @(#)MJVMEStackListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Exspression Stack Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMEStackListener extends MJVMWordMemoryListener {

  /**
   * Notifies listener that ESP has changed.
   *
   * @param oldValue the old ESP value
   * @param newValue the new ESP value
   */
  public void estackESPChanged(int oldValue, int newValue);

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:37:50 Slobodan
   Initial version

*****************************************************************************^*/
