/*
 * @(#)MJVMMemoryListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Memory Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMMemoryListener {

  /**
   * Notifies listener that memory has changed.
   */
  public void memoryChanged();

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:58:19 Slobodan
   Initial version

*****************************************************************************^*/
