/*
 * @(#)MJVMWordMemoryListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Word Memory Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMWordMemoryListener extends MJVMMemoryListener {

  /**
   * Notifies listener that word memory location has changed.
   *
   * @param address the memory address
   * @param oldValue the old memory value
   * @param newValue the new memory value
   */
  public void wordMemoryLocationChanged(int address, int oldValue,
                                        int newValue);

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 21:37:40 Slobodan
   Initial version

*****************************************************************************^*/
