/*
 * @(#)JavaCodeEditorKit.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.text.code.kits;

import net.wrka.swing.components.text.code.RegExTypes;
import net.wrka.swing.components.text.code.RegExCodeEditorKit;

/**
 * Java Code EditorKit.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class JavaCodeEditorKit extends RegExCodeEditorKit {

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected RegExTypes getRETypes() {
    return RegExJavaTypes.INSTANCE;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 08:49:32 Slobodan
   Initial version

*****************************************************************************^*/
