/*
 * @(#)ObjectEntry.java  1.0.0 / 2008-05-12
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util;

/**
 * Simple Object Entry.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class ObjectEntry {

/*^**************************************************************************^*/
/*- Package-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  int hash;
  Object key;
  Object value;
  ObjectEntry next;

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  ObjectEntry(int hash, Object key, Object value, ObjectEntry next) {
    this.hash = hash;
    this.key = key;
    this.value = value;
    this.next = next;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-12 20:23:49 Slobodan
   Initial version

*****************************************************************************^*/
