/*
 * @(#)StringEntry.java  1.0.0 / 2008-05-12
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util;

/**
 * Simple String Entry.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class StringEntry {

/*^**************************************************************************^*/
/*- Package-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  int hash;
  String key;
  String value;
  StringEntry next;

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  StringEntry(int hash, String key, String value, StringEntry next) {
    this.hash = hash;
    this.key = key;
    this.value = value;
    this.next = next;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-12 20:48:55 Slobodan
   Initial version

*****************************************************************************^*/
