/*
 * @(#)MJAsmStandardPrintStream.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm.gui;

import java.io.PrintStream;

/**
 * Standard PrintStream.
 *
 * @author Slobodan Vrkacevic (e-mail: slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJAsmStandardPrintStream extends PrintStream {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmStandardPrintStream object.
   *
   * @param mjamo assembler output
   */
  public MJAsmStandardPrintStream(MJAsmOutput mjamo) {
    super(new MJAsmStandardOutputStream(mjamo));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 18:09:11 Slobodan
   Initial version

*****************************************************************************^*/
