/*
 * @(#)MJActionLaunchRI4PP.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.utils;

import net.wrka.swing.actions.LaunchAction;
import yu.ac.bg.etf.ri4pp.mjtools.res.MJResourceManager;

/**
 * Action Launch RI4PP web site.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJActionLaunchRI4PP extends LaunchAction {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJActionLaunchRI4PP object.
   */
  public MJActionLaunchRI4PP() {
    super("RI4PP Home Page", "ri4pp.etf.bg.ac.yu", //$NON-NLS-1$ //$NON-NLS-1$
          MJResourceManager.INSTANCE.
                                getCachedImageIcon("Globe.png"), //$NON-NLS-1$
          "http://ri4pp.etf.bg.ac.yu/"); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 18:23:43 Slobodan
   Initial version

*****************************************************************************^*/
