/*
 * @(#)MJVMStateException.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Trace Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJVMStateException extends RuntimeException {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMStateException object.
   */
  public MJVMStateException() {
    super();
  }

  /**
   * Constructs new MJVMStateException object.
   *
   * @param message error message
   */
  public MJVMStateException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 21:33:36 Slobodan
   Initial version

*****************************************************************************^*/
